## open-build-service 2.7.4

=== Makefile ===
all:
	make -C docs/api/api apidocs

install:
	make -C dist install
	make -C src/api install
	make -C src/backend install

test:
	make -C src/api test
	make -C dist test
	make -C src/backend test

=== dist/Makefile ===
include ../Makefile.include

INIT_SCRIPTS 			:= obssrcserver obsrepserver obsscheduler obsworker obspublisher obsdispatcher obssigner obswarden obsapidelayed obsapisetup obsstoragesetup obsservice obsdodup obsdeltastore
LOGROTATE_CONFIGS := obs-api obs-server
OBS_BIN_SCRIPTS 	:= obs_productconvert
OBS_SBIN_SCRIPTS 	:= obs_admin obs_serverstatus

install: install_obsapisetup install_apache install_initscripts install_project_update install_logrotate install_fillups install_slp install_obs_bin install_devel_docs install_overview install_tests_appliance

#install_overview

install_obsapisetup: system_dirs
	$(INSTALL) -m 755 obsapisetup $(DESTDIR)/etc/init.d/obsapisetup
	$(INSTALL) -m 755 setup-appliance.sh $(DESTDIR)$(OBS_BACKEND_PREFIX)/setup-appliance.sh

install_apache:
	$(INSTALL) -d -m 755  $(DESTDIR)$(APACHE_CONIFGDIR_VHOST)
	$(INSTALL) -m 644 $(APACHE_VHOST_CONF) $(DESTDIR)$(APACHE_CONIFGDIR_VHOST)/obs.conf

install_initscripts: system_dirs
	$(foreach script,$(INIT_SCRIPTS),$(shell $(INSTALL) -m 755 $(script) $(DESTDIR)/etc/init.d/$(script)) )
	$(foreach script,$(INIT_SCRIPTS),$(shell ln -sf /etc/init.d/$(script) $(DESTDIR)/usr/sbin/rc$(script)) )

install_project_update: system_dirs
	$(INSTALL) -m 0755 obs_project_update $(DESTDIR)/usr/sbin/obs_project_update


install_logrotate: system_dirs
	$(foreach config,$(LOGROTATE_CONFIGS),$(shell $(INSTALL) -m 644 $(config).logrotate $(DESTDIR)/etc/logrotate.d/$(config)) )

install_fillups: system_dirs
	$(INSTALL) -m 0644 sysconfig.obs-server $(DESTDIR)/var/adm/fillup-templates/

install_slp: system_dirs
	$(INSTALL) -m 644 obs.source_server.reg $(DESTDIR)/etc/slp.reg.d/
	$(INSTALL) -m 644 obs.repo_server.reg $(DESTDIR)/etc/slp.reg.d/

install_obs_bin: system_dirs
	$(foreach script,$(OBS_BIN_SCRIPTS),$(shell $(INSTALL) -m 755 $(script) $(DESTDIR)/usr/bin/$(script)) )
	$(foreach script,$(OBS_SBIN_SCRIPTS),$(shell $(INSTALL) -m 755 $(script) $(DESTDIR)/usr/sbin/$(script)) )

system_dirs:
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_BACKEND_PREFIX)
	$(INSTALL) -d -m 755 $(DESTDIR)/etc/init.d/
	$(INSTALL) -d -m 755 $(DESTDIR)/etc/logrotate.d/
	$(INSTALL) -d -m 755 $(DESTDIR)/etc/slp.reg.d/
	$(INSTALL) -d -m 755 $(DESTDIR)/usr/bin/
	$(INSTALL) -d -m 755 $(DESTDIR)/usr/sbin/
	$(INSTALL) -d -m 755 $(DESTDIR)/var/adm/fillup-templates
	$(INSTALL) -d -m 755 $(DESTDIR)/usr/share/doc/packages/obs-devel
	$(INSTALL) -d -m 755 $(DESTDIR)/usr/lib/obs/tests/appliance

install_devel_docs:
	$(INSTALL) -m 644 README.devel $(DESTDIR)/usr/share/doc/packages/obs-devel/README.devel

install_overview:
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_DOCUMENT_ROOT)/overview
	$(INSTALL) -m 644 overview.html.TEMPLATE $(DESTDIR)$(OBS_DOCUMENT_ROOT)/overview

install_tests_appliance:
	cp -r ./t/*	$(DESTDIR)/usr/lib/obs/tests/appliance/

test_unit:
	prove -v t/*.t

test_system:
	prove -v t/*.ts

test_appliance:
	prove -v t/*.ta

.PHONY: test_unit test_system

=== docs/api/Makefile ===
apidocs:
	cd api; make apidocs

doc: apidocs
	xsltproc xs3p.xsl package.xsd >package.html
	xsltproc xs3p.xsl project.xsd >project.html
	xsltproc xs3p.xsl platform.xsd >platform.html
	xsltproc xs3p.xsl projectresult.xsd >projectresult.html
	xsltproc xs3p.xsl packageresult.xsd >packageresult.html
	xsltproc xs3p.xsl status.xsd >status.html

validate:
	python validate_xml.py api/
	python validate_xml.py backend/

=== src/api/Makefile ===
include ../../Makefile.include


OBS_API_LOGS := access.log backend_access.log delayed_job.log error.log lastevents.access.log
OBS_API_BUNDLER_OPTS=BUNDLE_WITHOUT=test:assets:development BUNDLE_FROZEN=1

all:

install: prepare_dirs prepare_rake docs config log_files build

prepare_dirs:
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_API_PREFIX)
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_API_PREFIX)/log
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_API_PREFIX)/tmp
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_API_PREFIX)/config
	# prepare for running sphinx daemon
	$(INSTALL) -m 0755 -d $(DESTDIR)$(OBS_API_PREFIX)/db/sphinx{,/production}

prepare_rake: prepare_dirs
	cp -a * $(DESTDIR)$(OBS_API_PREFIX)
	rm -rf $(DESTDIR)$(OBS_API_PREFIX)/Makefile
	touch $(DESTDIR)$(OBS_API_PREFIX)/log/production.log
	touch $(DESTDIR)$(OBS_API_PREFIX)/config/production.sphinx.conf

docs:
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_APIDOCS_PREFIX)/api
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_APIDOCS_PREFIX)/api/html
	cp -av ../../docs/api/api $(DESTDIR)$(OBS_APIDOCS_PREFIX)
	cp -av ../../docs/api/html/* $(DESTDIR)$(OBS_APIDOCS_PREFIX)/api/html/
	ln -sf $(OBS_APIDOCS_PREFIX)/api/ $(DESTDIR)$(OBS_API_PREFIX)/public/schema
	echo 'CONFIG["apidocs_location"] ||= File.expand_path("../docs/api/html/")' >> $(DESTDIR)$(OBS_API_PREFIX)/config/environment.rb
	echo 'CONFIG["schema_location"] ||= File.expand_path("../docs/api/")' >> $(DESTDIR)$(OBS_API_PREFIX)/config/environment.rb

config: prepare_dirs
	# we need config also in building environment, otherwise rake will break
	$(INSTALL) -m 644  config/database.yml.example 				config/database.yml
	$(INSTALL) -m 644  config/options.yml.example 				config/options.yml
	$(INSTALL) -m 644 config/thinking_sphinx.yml.example 	config/thinking_sphinx.yml
	# TODO: see if these configuration work in real life
	$(INSTALL) -m 644  config/database.yml.example 				$(DESTDIR)$(OBS_API_PREFIX)/config/database.yml
	$(INSTALL) -m 644  config/options.yml.example 				$(DESTDIR)$(OBS_API_PREFIX)/config/options.yml
	$(INSTALL) -m 644 config/thinking_sphinx.yml.example 	$(DESTDIR)$(OBS_API_PREFIX)/config/thinking_sphinx.yml
	echo "# This is to prevent fdupes from hardlinking" >> $(DESTDIR)$(OBS_API_PREFIX)/config/database.yml
	echo "# This is to prevent fdupes from hardlinking" >> $(DESTDIR)$(OBS_API_PREFIX)/config/options.yml
	echo "# This is to prevent fdupes from hardlinking" >> $(DESTDIR)$(OBS_API_PREFIX)/config/thinking_sphinx.yml

log_files:
	$(foreach logfile,$(OBS_API_LOGS),$(shell touch $(DESTDIR)$(OBS_API_PREFIX)/log/$(logfile) ))

build: config
	$(shell [ -d $(DESTDIR)/srv/www/obs/api/.bundle ] && rm -rf $(DESTDIR)/srv/www/obs/api/.bundle)
	# we need to have *something* as secret key
	echo "" | sha256sum| cut -d\  -f 1 > $(DESTDIR)/srv/www/obs/api/config/secret.key
	cd $(DESTDIR)/srv/www/obs/api ;\
	bundle exec rake assets:precompile RAILS_ENV=production RAILS_GROUPS=assets ;\
	rm -rf tmp/cache/sass tmp/cache/assets config/secret.key ;\
	$(OBS_API_BUNDLER_OPTS) bundle config --local frozen 1 ;\
	$(OBS_API_BUNDLER_OPTS) bundle config --local without test:assets:development
	# reinstall
	$(INSTALL) config/database.yml.example $(DESTDIR)$(OBS_API_PREFIX)/config/database.yml
	# fixed hardlinking problem in SLE 11
	echo "# This is to prevent fdupes from hardlinking" >> $(DESTDIR)$(OBS_API_PREFIX)/config/database.yml
	: >  $(DESTDIR)/srv/www/obs/api/log/production.log
	sed -i -e 's,^api_version.*,api_version = "$(OBS_VERSION)",'  $(DESTDIR)$(OBS_API_PREFIX)/config/initializers/02_apiversion.rb

test_unit:
	[ -d log ] || mkdir log
	echo > log/test.log
	./script/api_test_in_spec.sh

.PHONY: test

=== src/backend/Makefile ===
include ../../Makefile.include

OBS_BACKEND_DATA_SUBDIRS := build events info jobs log projects repos run sources trees workers
OBS_BACKEND_DATA_DIR := /srv/obs

prepare_dirs:
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_BACKEND_PREFIX)
	$(INSTALL) -d -m 755 $(DESTDIR)$(OBS_BACKEND_DATA_DIR)

bs_config:
	[ -f ./BSConfig.pm ] || cp ./BSConfig.pm.template ./BSConfig.pm
	

install: prepare_dirs install_data_dirs bs_config
	# prevent error while copy if there is an previous installation
	rm -rf $(DESTDIR)$(OBS_BACKEND_PREFIX)/build
	cp -a ./* $(DESTDIR)$(OBS_BACKEND_PREFIX)
	rm -rf $(DESTDIR)$(OBS_BACKEND_PREFIX)/Makefile
	rm -rf $(DESTDIR)$(OBS_BACKEND_PREFIX)/t
	rm -rf $(DESTDIR)$(OBS_BACKEND_PREFIX)/testdata
	rm -rf $(DESTDIR)$(OBS_BACKEND_PREFIX)/examples
	# just for check section, it is a %%ghost
	ln -sf /usr/lib/build $(DESTDIR)$(OBS_BACKEND_PREFIX)/build 

install_data_dirs: prepare_dirs
	$(foreach data_dir,$(OBS_BACKEND_DATA_SUBDIRS), \
		$(shell $(INSTALL) -d -m 755 $(DESTDIR)$(OBS_BACKEND_DATA_DIR)/$(data_dir) ) \
	)


test_unit: bs_config clean_cover
	rm -rf t/tmp/*
	PERL5OPT=-MDevel::Cover LANG=C prove -Ibuild -I. -v t/*.t

cover: test_unit
	cover -ignore_re '^((build|XML|t)/|/usr/bin/prove$$)' -outputdir /srv/www/htdocs

clean_cover:
	rm -rf cover_db/

.PHONY: test_unit cover

## open-build-service 2.7.1

=== debian/changelog ===
open-build-service (2.7.1-10) unstable; urgency=medium

  * Fix logrotate, refine postrm, prerm script to ensure config and log
    files removed after purged. (Closes:#851356)
  * Fixed obs-worker failed to start issue. (Closes: #851761)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 26 Jan 2017 01:17:48 +0800

open-build-service (2.7.1-9) unstable; urgency=medium

  * obs-worker: drop slptool from depends as it's scheduled for removal
    from Debian. (Closes: #848855)
  * disable-slp.patch: do not use SLP in obs-serverconf as Debian drop
    slptool from archive. (Closes: #848855)
  * Added debian/NEWS.
  * drop ruby-interpreter from depends as it's not exist.
  * Set Architecture: all.
  * Drop breaks on obs-webui.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 22 Dec 2016 14:35:54 +0800

open-build-service (2.7.1-8) unstable; urgency=medium

  * jquery-ui.patch: migrate jquery-ui-rails from 5.0.5 to 6.0.1.
    (Closes: #848510)
  * debian/control: build-deps on the metapackage default-mysql-*.
    (Closes: #848460)
  * Refine postinst script to avoid modifies files it has shipped. And
    also not fails during installation without setup database via
    dbconfig-common. (Closes: #847687)
  * Added README.Debian.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 19 Dec 2016 15:19:40 +0800

open-build-service (2.7.1-7) unstable; urgency=medium

  [ Antonio Terceiro ]
  * remove myself from Uploaders:

  [ Andrew Lee (李健秋) ]
  * Run commands when purge instead of remove. (Closes: #847688)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 15 Dec 2016 18:05:03 +0800

open-build-service (2.7.1-6) experimental; urgency=medium

  * Move log, tmp and config files out of /usr and creates links instead.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 08 Dec 2016 19:13:53 +0800

open-build-service (2.7.1-5) experimental; urgency=medium

  * Adjust postrm and prerm scripts to remove users, group and data when
    user purged these packages.
  * debian/control: drop versioned depends.
  * debian/control: drop ruby-jquery-datatables-rails from depends.
  * Embedded ruby-jquery-datatables-rails 1.12.2 as local gem.
  * Drop jquery.ui.widget.patch. Update new path in jquery-ui.patch.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 17 Nov 2016 03:58:15 +0800

open-build-service (2.7.1-4) experimental; urgency=medium

  * debian/control: move sphinxsearch deps from obs-server to obs-api as
    it's needed search function for the webui instead of backend server.
  * Fixed database.yml generatation while reinstall.
  * Move overview.html.TEMPLATE file from obs-server to obs-api.
  * debian/control: obs-server shouldn't depends on obs-api. It should be
    able to install independently.
  * Do not ship database.yml as it should generates from template.
  * debian/control: depends on default-mysql-client and recommends on
    default-mysql-server as the old package name has been obsoleted.
  * debian/control: added depends on lsb-base for init.d scripts calls lsb
    functions.
  * debian/obs-api.postrm: clean up api folder while purge.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 24 Oct 2016 14:55:03 +0800

open-build-service (2.7.1-3) experimental; urgency=medium

  * jquery.ui.widget.patch: added missing jquery.ui.widget.
    (Closes: #839143, #839144)
  * missing-codemirror-js.patch: added missing
    codemirror/addons/mode/simple.js. (Closes: #839133)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 20 Oct 2016 05:12:47 +0800

open-build-service (2.7.1-2) experimental; urgency=medium

  * Generate clockworkd.clock.output log file. (Closes:#839211)
  * debian/obs-api.postinst: set config/database.yml own by www-data.
    (Closes: #839163)
  * debian/obs-api.obsapidelayed.init: calls rake instead of rake.ruby2.3.
    (Closes: #839166)
  * debian/obs-api.postinst: set correct permission in tmp dir for
    delayed_job start up correctly. (Closes: #839174)
  * debian/obs-api.obsapidelayed.init: specific directory to API_ROOT for
    clockworkd to run. (Closes: #839219)
  * Apply fix-sphinx.patch: fix brackets in Makefile that prepare for sphinx
    to run.
  * debian/obs-worker.obsworker.default: update OBS_RUN_DIR.
  * debian/obs-worker.obsworker.init: set correct permission for
    obsworker to run.
  * debian/obs-api.postinst: drop duplicate pathfind function.
  * debian/obs-api.postinst: drop path in command.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 30 Sep 2016 18:02:41 +0800

open-build-service (2.7.1-1) experimental; urgency=low

  * New upstream release. (Closes: #838022)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 17 Sep 2016 06:54:06 +0800

=== debian/control ===
Source: open-build-service
Section: devel
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-systemd,
               bundler,
               fdupes,
               libbssolv-perl,
               default-mysql-server | mysql-server,
               python-dev,
               ruby-acts-as-list,
               ruby-acts-as-tree,
               ruby-addressable,
               ruby-capybara,
               ruby-chunky-png,
               ruby-cliver,
               ruby-clockwork,
               ruby-cocoon,
               ruby-codemirror-rails,
               ruby-coderay,
               ruby-crack,
               ruby-cssmin,
               ruby-daemons,
               ruby-dalli,
               ruby-delayed-job,
               ruby-delayed-job-active-record,
               ruby-docile,
               ruby-erubis,
               ruby-escape-utils,
               ruby-execjs,
               ruby-flot-rails,
               ruby-font-awesome-rails,
               ruby-haml,
               ruby-hike,
               ruby-i18n,
               ruby-innertube,
               ruby-joiner,
               ruby-jquery-rails,
               ruby-jquery-ui-rails,
               ruby-json,
               ruby-kaminari,
               ruby-kgio,
               ruby-ldap,
               ruby-metaclass,
               ruby-method-source,
               ruby-middleware,
               ruby-mime-types,
               ruby-mysql2,
               ruby-nokogiri,
               ruby-parser,
               ruby-pkg-config (>= 1.1.6),
               ruby-pundit,
               ruby-rails,
               ruby-rails-tokeninput,
               ruby-raindrops,
               ruby-redcarpet,
               ruby-responders,
               ruby-riddle,
               ruby-safe-yaml,
               ruby-sanitize,
               ruby-sass,
               ruby-sass-rails,
               ruby-sexp-processor,
               ruby-slop,
               ruby-sprite-factory,
               ruby-sprockets,
               ruby-thinking-sphinx,
               ruby-thread-safe,
               ruby-tzinfo,
               ruby-uglifier,
               ruby-websocket-driver,
               ruby-xmlhash,
               ruby-xpath,
               ruby-yajl,
               rubygems-integration,
Standards-Version: 3.9.8
Homepage: http://en.opensuse.org/Build_Service

Package: obs-server
Architecture: all
Depends: apt-utils,
         adduser,
         diffutils,
         git,
         libbssolv-perl,
         libcompress-raw-zlib-perl,
         libfile-sync-perl,
         libjson-xs-perl,
         libnet-ssleay-perl,
         libsocket-msghdr-perl,
         libxml-parser-perl,
         libxml-simple-perl,
         memcached,
         obs-build,
         obs-productconverter (>= ${binary:Version}),
         patch,
         reprepro,
         sysvinit-utils (>= 2.88dsf-59),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: createrepo,
            lvm2,
            obs-signd,
            slpd,
            yum
Description: Open Build Service (server component)
 The Open Build Service (OBS) backend is used to store all sources and
 binaries. It also calculates the need for new build jobs and distributes
 it.

Package: obs-worker
Architecture: all
Depends: apt-utils,
         adduser,
         binutils,
         bsdtar,
         cpio,
         curl,
         debootstrap,
         libcompress-raw-zlib-perl,
         libtimedate-perl,
         libxml-parser-perl,
         libxml-simple-perl,
         lsb-base (>= 3.0-6),
         lvm2,
         lzma,
         psmisc,
         rpm,
         screen,
         util-linux (>= 2.16),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Open Build Service (build host component)
 This is the obs build host, to be installed on each machine building
 packages in this obs installation. Install it alongside obs-server to
 run a local playground test installation.

Package: obs-api
Architecture: all
Depends: apache2,
         dbconfig-common,
         gsfonts,
         libapache2-mod-passenger,
         libapache2-mod-xforward,
         libgd-gd2-perl,
         libjs-bootstrap,
         lsb-base (>= 3.0-6),
         memcached,
         default-mysql-client | mysql-client,
         ruby,
         ruby-acts-as-list,
         ruby-acts-as-tree,
         ruby-addressable,
         ruby-capybara,
         ruby-chunky-png,
         ruby-cliver,
         ruby-clockwork,
         ruby-cocoon,
         ruby-codemirror-rails,
         ruby-coderay,
         ruby-crack,
         ruby-cssmin,
         ruby-daemons,
         ruby-dalli,
         ruby-delayed-job,
         ruby-delayed-job-active-record,
         ruby-docile,
         ruby-erubis,
         ruby-escape-utils,
         ruby-execjs,
         ruby-flot-rails,
         ruby-font-awesome-rails,
         ruby-haml,
         ruby-hike,
         ruby-i18n,
         ruby-innertube,
         ruby-joiner,
         ruby-jquery-rails,
         ruby-jquery-ui-rails (>= 6.0.1),
         ruby-json,
         ruby-kaminari,
         ruby-kgio,
         ruby-ldap,
         ruby-metaclass,
         ruby-method-source,
         ruby-middleware,
         ruby-mime-types,
         ruby-mysql2,
         ruby-nokogiri,
         ruby-parser,
         ruby-pkg-config (>= 1.1.6),
         ruby-pundit,
         ruby-rails,
         ruby-rails-tokeninput,
         ruby-raindrops,
         ruby-redcarpet,
         ruby-responders,
         ruby-riddle,
         ruby-safe-yaml,
         ruby-sanitize,
         ruby-sass,
         ruby-sass-rails,
         ruby-sexp-processor,
         ruby-slop,
         ruby-sprite-factory,
         ruby-sprockets,
         ruby-thinking-sphinx,
         ruby-thread-safe,
         ruby-tzinfo,
         ruby-uglifier,
         ruby-websocket-driver,
         ruby-xmlhash,
         ruby-xpath,
         ruby-yajl,
         rubygems-integration,
         sphinxsearch (>= 2.0.8),
         unicorn,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-mysql-server | mysql-server
Suggests: obs-server
Breaks: obs-server (<= 2.7.1-3)
Provides: obs-webui
Description: Open Build Service (api)
 This is the API server instance for the OBS.

Package: obs-productconverter
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open Build Service (product definition utility)
 The obs_productconvert is a utility to create Kiwi- and Spec- files
 from a product definition.

Package: obs-utils
Architecture: all
Depends: osc,
         ruby,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Open Build Service (utilities)
 The obs-utils contains tools for Open Build Service. Including:
  * obs_mirror_project - a tool to copy the binary data of a project
    from one obs to another.
  * obs_project_update - a tool to copy a packages of a project from
    one obs to another.

## open-build-service 2.7.4

=== debian/changelog ===
open-build-service (2.7.4-2) unstable; urgency=medium

  * debian/obs-server.postinst: make sure multi-user.target.wants
    directory created before creating symlink manually. (Closes:#870841)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Aug 2017 08:03:37 +0800

open-build-service (2.7.4-1) unstable; urgency=medium

  * Merging upstream version 2.7.4.
  * debian/control: Drop memcached depends from obs-server.
  * debian/control: make obs-server recommends: on gnupg2. (Closes:#859711)
  * debian/control: make obs-server recommends: on dpkg-dev.
    (Closes:#855828)
  * Refreshed gemfile-tweaks.patch. (Closes:#869051)
  * Refreshed drop-ruby-hoptoad-notifier.patch.
  * obs-utils: ship obs_mirror_project.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 04 Aug 2017 03:40:11 +0800

=== debian/control ===
--- 
+++ 
@@ -93,7 +93,6 @@
          libsocket-msghdr-perl,
          libxml-parser-perl,
          libxml-simple-perl,
-         memcached,
          obs-build,
          obs-productconverter (>= ${binary:Version}),
          patch,
@@ -102,6 +101,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: createrepo,
+            dpkg-dev,
+            gnupg2,
             lvm2,
             obs-signd,
             slpd,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DH_OPTIONS

export BUILD_ROOT=$(CURDIR)/debian/tmp

%:
	dh $@ --parallel --with=systemd

override_dh_auto_build:
	# Place localgem
	cp -a debian/localgem src/api/vendor/gems
	dh_auto_build

override_dh_auto_clean:
	rm -rf src/api/vendor/gems
	dh_auto_clean

override_dh_install:
	# Drop useless files.
	rm -f debian/tmp/etc/apache2/vhosts.d/obs.conf
	rm -f debian/tmp/etc/init.d/obsapisetup
	rm -f debian/tmp/usr/lib/obs/server/build/build exists
	rm -f debian/tmp/usr/share/doc/packages/obs-devel/README.devel

	dh_install --list-missing

	dh_installdebconf

	# Move config files under /etc/obs/api/config/. And links with dh_link.
	mv debian/obs-api/usr/share/obs/api/config/options.yml \
			debian/obs-api/etc/obs/api/config/
	mv debian/obs-api/usr/share/obs/api/config/production.sphinx.conf \
			debian/obs-api/etc/obs/api/config/
	mv debian/obs-api/usr/share/obs/api/config/thinking_sphinx.yml \
			debian/obs-api/etc/obs/api/config/

	# Remove log and tmp and create links under /var with dh_link.
	rm -rf debian/obs-api/usr/share/obs/api/log
	rm -rf debian/obs-api/usr/share/obs/api/tmp

	# Rename dh_install installed web service config files.
	# (new default since OBS 2.3)
	mkdir -p debian/obs-api/etc/apache2/sites-available/
	cp debian/obs-apache2.conf \
		debian/obs-api/etc/apache2/sites-available/obs.conf

	mkdir -p debian/obs-api/usr/share/dbconfig-common/data/obs-api/install/
	touch debian/obs-api/usr/share/dbconfig-common/data/obs-api/install/mysql
	cp debian/obs-server/usr/lib/obs/server/BSConfig.pm.template \
		debian/obs-server/etc/obs/BSConfig.pm

	# Rename sysconfig file
	mv debian/obs-server/etc/default/sysconfig.obs-server \
		debian/obs-server/etc/default/obs-server

	# turn duplicates into hard links
	fdupes debian/obs-api/usr/share/obs/

	# Clean up vcs control file
	find debian/obs-api -name '.gitignore' -type f | xargs rm -f

	# fix permissions
	chmod a-x debian/obs-api/usr/share/obs/api/script/update_bento.sh
	chmod a-x debian/obs-api/usr/share/obs/api/Rakefile
	# Clean up "extra" license
	rm debian/obs-server/usr/lib/obs/server/License

	# Fix Mark scripts as executable until upstream fixes
	chmod a+x debian/obs-server/usr/lib/obs/tests/appliance/*t*

override_dh_systemd_enable:
	dh_systemd_enable -p obs-server \
		obsrepserver.service \
		obssrcserver.service \
		obsdispatcher.service \
		obswarden.service \
		obsdodup.service \
		obspublisher.service \
		obssigner.service

override_dh_installinit:
	dh_installinit --name obsapidelayed --no-start
	dh_installinit --name obsworker --no-start

override_dh_systemd_start:
	dh_systemd_start -p obs-server \
		obsrepserver.service \
		obssrcserver.service \
		obsdispatcher.service \
		obswarden.service \
		obsdodup.service \
		obspublisher.service \
		obssigner.service


override_dh_auto_test:
	 dh_auto_test || true # temporary ignore

=== debian/watch ===
version=3
https://github.com/openSUSE/open-build-service/releases .*/(.*).tar.gz
